Oracle Java up to 7 Update 11 2D integer coercion

EntryeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
9.5$5k-$25k0.00

A vulnerability was found in Oracle Java up to 7 Update 11 (Programming Language Software). It has been rated as very critical. Affected by this issue is an unknown part of the component 2D. Using CWE to declare the problem leads to CWE-192. Impacted is confidentiality, integrity, and availability. CVE summarizes:

Unspecified vulnerability in the Java Runtime Environment (JRE) component in Oracle Java SE 7 through Update 11, 6 through Update 38, 5.0 through Update 38, and 1.4.2_40 and earlier, and OpenJDK 6 and 7, allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors related to 2D. NOTE: the previous information is from the February 2013 CPU. Oracle has not commented on claims from another vendor that this issue is related to "insufficient validation of raster parameters" that can trigger an integer overflow and memory corruption.

The weakness was shared 02/01/2013 with Sun Microsystems Inc. as Java CPU Feb 2013 as not defined advisory (Website). The advisory is available at oracle.com. This vulnerability is handled as CVE-2013-1478 since 12/07/2012. The exploitation is known to be easy. The attack may be launched remotely. No form of authentication is required for exploitation. The technical details are unknown and an exploit is not available. The structure of the vulnerability defines a possible price range of USD $5k-$25k at the moment (estimation calculated on 05/04/2021). It is expected to see the exploit prices for this product decreasing in the near future.

The vulnerability scanner Nessus provides a plugin with the ID 69714 (Amazon Linux AMI : java-1.6.0-openjdk (ALAS-2013-155)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Amazon Linux Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 120832 (Oracle Java SE Critical Patch Update - February 2013).

Upgrading eliminates this vulnerability. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at SecurityFocus (BID 57686), Vulnerability Center (SBV-38224) and Tenable (69714). krebsonsecurity.com is providing further details. The entries 7551, 7560, 7533 and 7554 are related to this item.

Productinfoedit

Type

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 10.0
VulDB Meta Temp Score: 9.5

VulDB Base Score: 10.0
VulDB Temp Score: 9.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Unknown
CWE: CWE-192
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 69714
Nessus Name: Amazon Linux AMI : java-1.6.0-openjdk (ALAS-2013-155)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

OpenVAS ID: 881598
OpenVAS Name: CentOS Update for java CESA-2013:0245 centos6
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfoedit

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Upgrade: oracle.com

Timelineinfoedit

12/07/2012 🔍
02/01/2013 +56 days 🔍
02/01/2013 +0 days 🔍
02/01/2013 +0 days 🔍
02/01/2013 +0 days 🔍
02/03/2013 +2 days 🔍
02/05/2013 +2 days 🔍
01/23/2017 +1448 days 🔍
05/04/2021 +1562 days 🔍

Sourcesinfoedit

Vendor: https://www.oracle.com

Advisory: Java CPU Feb 2013
Organization: Sun Microsystems Inc.
Status: Not defined
Confirmation: 🔍

CVE: CVE-2013-1478 (🔍)
OVAL: 🔍

SecurityFocus: 57686
Vulnerability Center: 38224 - [javacpufeb2013-1841061] Oracle Java SE 7 Update 11 and Earlier Remote Vulnerability Related to 2D (CVE-2013-1478), Critical

Misc.: 🔍
See also: 🔍

Entryinfoedit

Created: 02/05/2013 09:10 PM
Updated: 05/04/2021 08:20 AM
Changes: (1) source_nessus_risk
Complete: 🔍

Comments

No comments yet. Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!